com.google.gwt.dom.client

## Class ObjectElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.ObjectElement

    @TagName(value="object")
    public class ObjectElement
    extends Element

Generic embedded object. Note: In principle, all properties on the object element are read-write but in some environments some properties may be read-only once the underlying object is instantiated.

See Also:
  W3C HTML Specification

### Field Summary

Fields
`static java.lang.String` `TAG`

### Fields inherited from class com.google.gwt.dom.client.Element

`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

### Fields inherited from class com.google.gwt.dom.client.Node

`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `ObjectElement()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ObjectElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` `getCode()` Applet class file.
`Document` `getContentDocument()` The document this object contains, if there is any and it is available, or null otherwise.
`java.lang.String` `getData()` A URI specifying the location of the object's data.
`FormElement` `getForm()` Returns the FORM element containing this control.
`java.lang.String` `getHeight()` Override height.
`java.lang.String` `getName()` Form control or object name when submitted with a form.
`java.lang.String` `getType()` Content type for data downloaded via data attribute.
`java.lang.String` `getWidth()` Override width.
`static boolean` `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` `is(Node node)` Determine whether the given `Node` can be cast to this class.
`void` `setCode(java.lang.String code)` Applet class file.
`void` `setData(SafeUri data)` A URI specifying the location of the object's data.
`void` `setData(java.lang.String data)` A URI specifying the location of the object's data.
`void` `setHeight(java.lang.String height)` Override height.
`void` `setName(java.lang.String name)` Form control or object name when submitted with a form.
`void` `setType(java.lang.String type)` Content type for data downloaded via data attribute.
`void` `setUseMap(boolean useMap)` Use client-side image map.
`void` `setWidth(java.lang.String width)` Override width.
`boolean` `useMap()` Use client-side image map.

### Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

### Methods inherited from class com.google.gwt.dom.client.Node

`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

### Constructor Detail

#### ObjectElement

    protected ObjectElement()

### Method Detail

#### as

    public static ObjectElement as(Element elem)

Assert that the given `Element` is compatible with this class and automatically typecast it.

#### is

    public static boolean is(JavaScriptObject o)

Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

#### is

    public static boolean is(Node node)

Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

#### is

    public static boolean is(Element elem)

Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

#### getCode

    public final java.lang.String getCode()

Applet class file.

#### getContentDocument

    public final Document getContentDocument()

The document this object contains, if there is any and it is available, or null otherwise.

#### getData

    public final java.lang.String getData()

A URI specifying the location of the object's data.

See Also:
  W3C HTML Specification

#### getForm

    public final FormElement getForm()

Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

#### getHeight

    public final java.lang.String getHeight()

Override height.

See Also:
  W3C HTML Specification

#### getName

    public final java.lang.String getName()

Form control or object name when submitted with a form.

See Also:
  W3C HTML Specification

#### getType

    public final java.lang.String getType()

Content type for data downloaded via data attribute.

See Also:
  W3C HTML Specification

#### getWidth

    public final java.lang.String getWidth()

Override width.

See Also:
  W3C HTML Specification

#### setCode

    public final void setCode(java.lang.String code)

Applet class file.

#### setData

    public final void setData(SafeUri data)

A URI specifying the location of the object's data.

See Also:
  W3C HTML Specification

#### setData

    public final void setData(java.lang.String data)

A URI specifying the location of the object's data.

See Also:
  W3C HTML Specification

#### setHeight

    public final void setHeight(java.lang.String height)

Override height.

See Also:
  W3C HTML Specification

#### setName

    public final void setName(java.lang.String name)

Form control or object name when submitted with a form.

See Also:
  W3C HTML Specification

#### setType

    public final void setType(java.lang.String type)

Content type for data downloaded via data attribute.

See Also:
  W3C HTML Specification

#### setUseMap

    public final void setUseMap(boolean useMap)

Use client-side image map.

See Also:
  W3C HTML Specification

#### setWidth

    public final void setWidth(java.lang.String width)

Override width.

See Also:
  W3C HTML Specification

#### useMap

    public final boolean useMap()

Use client-side image map.

See Also:
  W3C HTML Specification